Skip to main content
GET
Get campaign
Call this endpoint on the campaigns service: https://campaigns.pingmee.co.il.
Returns a campaign by id.

Authorizations

Personal access token from Pingmee Settings → Developer Tools

x-api-key
string
header
required

Business API key from Pingmee Settings → Developer Tools

Path Parameters

id
string
required

Campaign id.

Response

Campaign

id
string
required

Campaign id.

name
string
required

Campaign name.

contentType
enum<string>
required

Runs a workflow.

Available options:
triggerWorkflow
workflowId
string
required

Workflow id.

workflowName
string
required

Workflow name.

folderId
string
required

Campaign folder id. In the Pingmee app this is the path segment in https://chat.pingmee.co.il/dashboard/campaigns/{folderId}.

Example:

"1785185339087"

whenToSendMessage
enum<string>
required

now sends immediately. future sends at scheduledAt.

Available options:
now,
future
associatedToBusinessId
string
required

Phone number id the campaign sends from.

isActive
boolean
required

Whether the campaign is active.

source
enum<string>
required

Send to tagged conversations.

Available options:
tags
conversationTags
object[]
required

Tags.

description
string

Campaign description.

scheduledAt
number

Send time in Unix milliseconds. Required when whenToSendMessage is future.

audienceCountry
string

ISO country code for numbers without a calling code.

Example:

"IL"

status
enum<string>
read-only

Campaign status.

Available options:
pending,
scheduled,
inProgress,
completed,
failed,
stopped
created
number
read-only

Created time in Unix milliseconds.

lastModified
number
read-only

Last modified time in Unix milliseconds.

associatedTo
string
read-only

Business the campaign belongs to.

startedAt
number
read-only

When sending started, in Unix milliseconds.

completedAt
number
read-only

When the campaign completed, in Unix milliseconds.

failureReason
string
read-only

Why the campaign failed.

failedAt
number
read-only

When the campaign failed, in Unix milliseconds.

totalRecipients
number
read-only
pendingCount
number
read-only
sentCount
number
read-only
deliveredCount
number
read-only
readCount
number
read-only
failedCount
number
read-only
optOutCount
number
read-only
duplicateMessageCount
number
read-only
tooManyRequestsCount
number
read-only
Last modified on October 14, 2026